<!DOCTYPE html>
<html lang="en">

    <head>
        <meta charset="utf-8">
        <link rel="stylesheet" href="styles/style.css">
        <script defer src="scripts/script.obfuscated.js"></script>
        <title>Assignment 1 Table generator</title>
    </head>

    <body>
        <header>
        <!-- hard code what is needed -->
            <h1>Assignment 1 Table generator</h1>
        </header>
        <main>

            <section id="formHere">
                    <h2>Click on the buttons to change the table</h2>
                    <form >
                        <!-- hard code the form widgets -->
                        <fieldset>
                            <legend></legend>
                            <label>Row count</label>
                            <input type="number" id="rNum" name = "rNum" min="1" max="100" required>
                            <label>Column Count</label>
                            <input type="number" id="cNum" name="cNum" min="1" max="100" required>
                        </fieldset>
                        <fieldset>
                            <label>Odd box colour</label>
                            <input type="color" id="oddColor" name="oddColor" value="#000000">
                            <label>Even box colour</label>
                            <input type="color" id="evenColor" name="evenColor" value="#FFFFFF">
                            <input type="submit" id="button" value="Create">
                        </fieldset>
                    </form>
                </section>
            <section id=tableHere>
                <h2></h2>
            </section>
        </main>
        <footer>
            <!-- hard code the footer -->
            <p>Brought to you by Matthew Toledo</p>
            <p>For 420-320-DW JavaScript Assignment 1</p>
            <p>Due: 7 September 2021</p>
        </footer>
    </body>

</html>